> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openpage.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get community member tokens



## OpenAPI

````yaml https://api.openpage.fun/v1/docs.json get /community/{id}/member/{idOrAddress}/tokens
openapi: 3.0.0
info:
  title: OpenPage API Reference
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.openpage.fun/v1
security: []
tags:
  - name: Launcher
    description: >-
      Launcher endpoints are used to interact with your embedded or external
      experiences.


      **Launcher endpoints require setting up a Community Experience.**


      See: [Community
      Experiences](/api-reference/community-experiences/create-experience)
  - name: Communities
    description: >-
      Community endpoints are used to retrieve information about your
      Communities and associated members.


      **Community API endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Badges
    description: >-
      Community Badge endpoints are used to create and manage badges, their
      associated rewards, and member attributions.


      **Community Badge endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Files
    description: >-
      Community File endpoints are used to create and manage files used for
      Badges and Collections.


      **Community File endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Experiences
    description: >-
      Community Experience endpoints are used to create and manage experiences.


      **Community Experience endpoints require an API key obtained from the
      Community dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
paths:
  /community/{id}/member/{idOrAddress}/tokens:
    get:
      tags:
        - Communities
      summary: Get community member tokens
      operationId: CommunityMemberController_getCommunityMemberTokens
      parameters:
        - name: id
          required: true
          in: path
          description: Community ID
          schema:
            type: string
        - name: idOrAddress
          required: true
          in: path
          description: Account UUID or an Ethereum address linked to the member account
          schema:
            type: string
        - name: collection
          required: false
          in: query
          description: Filter by token collection addresses
          schema:
            type: array
            items:
              type: string
        - name: blockNumber
          required: true
          in: query
          schema:
            type: number
        - name: page
          required: false
          in: query
          description: Page of results to return.
          schema:
            type: number
        - name: perPage
          required: false
          in: query
          description: Number of items per page to return. Defaults to 100.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedDto'
                  - properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/TokenDto'
      security:
        - apiKey: []
components:
  schemas:
    PaginatedDto:
      type: object
      properties:
        total:
          type: number
        perPage:
          type: number
        page:
          type: number
      required:
        - total
        - perPage
        - page
    TokenDto:
      type: object
      properties:
        id:
          type: string
        collectionName:
          type: string
        name:
          type: string
        kind:
          type: string
          enum:
            - erc721
            - erc1155
        chainId:
          type: string
          default: '1'
        contract:
          type: string
        tokenId:
          type: string
        image:
          type: string
        uri:
          type: string
        rarity:
          type: string
        rarityRank:
          type: number
        description:
          type: string
        externalUrl:
          type: string
        animationUrl:
          type: string
        traits:
          type: array
          items:
            $ref: '#/components/schemas/TokenTrait'
        quantity:
          type: number
        burnDate:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - collectionName
        - name
        - kind
        - chainId
        - contract
        - tokenId
        - image
        - uri
        - rarity
        - rarityRank
        - description
        - externalUrl
        - animationUrl
        - traits
        - quantity
        - burnDate
        - createdAt
        - updatedAt
    TokenTrait:
      type: object
      properties:
        key:
          type: string
        type:
          type: string
        value:
          type: string
        tokenCount:
          type: number
        rarity:
          type: number
        rarityPercent:
          type: number
      required:
        - key
        - type
        - value
        - tokenCount
        - rarity
        - rarityPercent
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````